# PhasicFlow: src/phasicFlow/algorithms/stdAlgorithms.hpp File Reference

stdAlgorithms.hpp File Reference
Include dependency graph for stdAlgorithms.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::algorithms
| pFlow::algorithms::STD

## Functions

template<typename Type , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H int32 | count (const Type *first, int32 numElems, const Type &val)
template<typename Type , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H void | fill (Type *first, int32 numElems, const Type &val)
template<typename Type , typename indexType , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H void | fillSelected (Type *first, const indexType *indices, const int32 numElems, const Type val)
template<typename Type , typename indexType , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H void | fillSelected (Type *first, const indexType *indices, const Type *vals, const int32 numElems)
template<typename Type , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H void | fillSequence (Type *first, int32 numElems, const Type &firstVal)
template<typename Type , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H Type | max (const Type *first, int32 numElems)
template<typename Type , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H Type | min (const Type *first, int32 numElems)
template<typename Type , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H void | sort (Type *first, int32 numElems)
template<typename Type , typename CompareFunc , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H void | sort (Type *first, int32 numElems, CompareFunc compare)
template<typename Type , typename PermuteType , bool useParallel = useStdParallel__>
INLINE_FUNCTION_H void | permuteSort (const Type *first, PermuteType *pFirst, int32 numElems)
template<typename Type , typename DestType , bool useParallel = useStdParallel__>
void | exclusiveScan (Type *first, DestType *dFirst, int32 numElems)
template<typename Type , typename DestType , bool useParallel = useStdParallel__>
void | inclusiveScan (Type *first, DestType *dFirst, int32 numElems)